/* ************************************************************************** */
/*                                         _____                              */
/*  World.hpp                             |  ___| _   ____   ___              */
/*  Project : C-Engine                    | |_	 | | |  __| / _ \             */
/*                                        |  _|	 | | | |=  |  __/             */
/*  By: Fife <wasabifife@gmail.com>       |_|	 |_| |_|    \___|  	          */
/*                                                                            */
/*                                                                            */
/* ************************************************************************** */

#ifndef CENGINE_WORLD_HPP
#define CENGINE_WORLD_HPP

#include "..\Rework\CEngine.hpp"

    class World
    {
        public:

            World();//Constructeur

            void AffectEngine(Engine * EV);
            Engine * GetEngine();

            void SetLevel( Level ** userTabLevel , int userNbLevel);
            void SetLevel( Level * userLevel);

            void DrawLevel();

            Level * GetCurrentLevel();
            Level * GetLevel(int id);

            void AddObject( Object * v, int level = -1); //Ajout un objet au level
            void DelObject( Object * v); //Supprime l'objet
            void DelAllObject(); //Supprime tout les objets

        private:

            Engine * engineLink;

            Level ** tabLevel;
            int nbLevel;

            int currentLevel;

    };

#endif
